Bug 13189 - smbd panic when chdir returns error during exit
smbd panic when chdir returns error during exit
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: File services
4.7.3
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-12-13 20:09 UTC by Christof Schmitt
Modified: 2018-01-03 08:07 UTC (History)
1 user (show)

See Also:


Attachments
Patches for 4.6 (12.55 KB, patch)
2017-12-18 22:16 UTC, Christof Schmitt
jra: review+
Details
Patches for 4.7 (12.53 KB, patch)
2017-12-18 22:16 UTC, Christof Schmitt
jra: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Christof Schmitt 2017-12-13 20:09:51 UTC
When the underlying file system returns an error from the chdir call,
and this happens while the server is shutting down, this is reported
as ABNORMAL_SHUTDOWN and triggers a panic and a coredump. As the log
already contains an error message about the failing system call, the
coredump is not necessary for troubleshooting and should be avoided
in this case.
Comment 1 Christof Schmitt 2017-12-18 22:16:16 UTC
Created attachment 13873 [details]
Patches for 4.6
Comment 2 Christof Schmitt 2017-12-18 22:16:52 UTC
Created attachment 13874 [details]
Patches for 4.7
Comment 3 Jeremy Allison 2017-12-18 23:55:12 UTC
Re-assigning to Karolin for inclusion in 4.7.next, 4.6.next.
Comment 4 Karolin Seeger 2018-01-02 09:01:50 UTC
(In reply to Jeremy Allison from comment #3)
Pushed to autobuild-v4-{7,6}-test.
Comment 5 Karolin Seeger 2018-01-03 08:07:21 UTC
(In reply to Karolin Seeger from comment #4)
Pushed to both branches.
Closing out bug report.

Thanks!